@charset "UTF-8";
/* style.css */
html,
body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  background-color: #fff;
  color: #333;
  line-height: 1.6;
}

.article-page {
  background-color: #fcf7e3;
}

/* ヘッダー */
.site-title {
  font-size: 1.5rem;
  margin: 0;
  font-weight: bold;
}

.nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  gap: 20px;
}

.nav ul li a {
  text-decoration: none;
  color: #333;
}

/* メインビジュアル */
.main-visual {
  padding-top: 78px;
  width: 100%;
  background-color: #fcf7e3;
  min-height: 300px;
}

.main-visual img {
  width: 100%;
}

/* タイトルセクション */
.title-section {
  background-color: #fcf7e3; /* さらに薄い黄色でセクションを区切る */
  min-height: 250px;
}

.title-inner {
  max-width: 900px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.title-inner .title-image {
  position: relative;
  width: 200px; /* サークルの表示サイズ */
  height: 200px;
  /* 中央揃えのためのFlexbox */
  display: flex;
  align-items: center; /* 縦方向中央寄せ */
  justify-content: center; /* 横方向中央寄せ */
  flex-shrink: 0;
}
.title-inner .wrap-border {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%; /* コンテナ全体を覆うように設定 */
  height: auto; /* もしくは height: auto; で縦横比を厳密に保つ場合は別途調整 */
  z-index: 2; /* teacher-imageの上に重ねたい場合は、より大きなz-indexにする */
  pointer-events: none; /* クリックなどは透過させたいなら指定 */
}
.title-inner .main_visual {
  /* アスペクト比を保ったまま、可能な限り大きく収めるために max-width / max-height を指定 */
  width: 95%;
  height: 95%;
  padding-top: 1px;
  /* デフォルトは inline 要素なので、隙間が気になる場合は display: block; 等をつけてもOK */
  display: block;
  z-index: 1;
  -o-object-fit: cover;
  object-fit: cover; /* 画像をカットしてコンテナに収める */
  -o-object-position: center;
  object-position: center; /* 画像を中央寄せ */
}

.title-info h2 {
  font-size: 32px;
  font-weight: 700;
  color: #622e11;
  font-family: "Zen Kaku Gothic New", sans-serif;
  line-height: 1.2;
  word-break: keep-all;
}

.profile-image img {
  width: 200px;
  height: auto;
  -o-object-fit: cover;
  object-fit: cover;
  border-radius: 6px;
}

.sub-text {
  margin-top: 5px;
  color: #777;
}

@media (max-width: 768px) {
  .main-visual {
    min-height: 170px;
  }
  .title-section {
    min-height: 300px;
  }
  .title-section .title-inner {
    display: flex;
    flex-direction: column-reverse;
  }
  .title-info {
    width: 80%;
    position: relative;
    z-index: 2;
    margin-bottom: 30px;
  }
  .title-info h2 {
    font-size: 20px;
    font-weight: 900;
    line-height: 1.5;
  }
  .title-inner .title-image {
    width: 300px;
    height: 300px;
    z-index: 1;
  }
}
.content-section {
  padding-bottom: 50px;
  background-color: #fcf7e3;
}

.main-content {
  width: 85%;
  max-width: 1200px;
  background-color: #fff;
  margin: auto;
  padding-bottom: 20px;
  border-radius: 40px; /* 角を丸くする */
}

.content-title-wrapper {
  position: relative;
  padding: 30px 0 20px;
  margin: 0 auto 40px;
  width: 85%;
  border-bottom: 2px solid #fcdc62;
  min-height: 110px;
}

.interview-content-title-wrapper {
  margin-bottom: 20px;
  padding-top: 40px;
  padding-bottom: 20px;
  width: 85%;
  margin: 0 auto;
  border-bottom: 2px dashed #fcdc62;
  display: flex;
  flex-direction: row; /* PC画面で横並び */
  justify-content: center;
  align-items: center;
}
.interview-content-title-wrapper .interview-hukidashi-image {
  margin: 0 20px 0 0;
  width: 10%;
}
.interview-content-title-wrapper .image-overlay {
  position: relative;
  width: 20%;
  height: 20%;
  /* 4px幅の#fcdc62色の枠 */
  border: 4px solid #fcdc62;
  /* 円形にする */
  border-radius: 50%;
  /* 枠の外にはみ出した画像部分は非表示 */
  overflow: hidden;
  display: flex;
  align-items: center; /* 縦方向中央寄せ */
  justify-content: center; /* 横方向中央寄せ */
}
.interview-content-title-wrapper .image-overlay .interview-teacher-image {
  /* アスペクト比を保ったまま、円の中に全体を表示 */
  max-width: 100%;
  max-height: 100%;
  display: block; /* inline要素の余白対策で block 指定するのが無難 */
}
.interview-content-title-wrapper .content-title-deco {
  position: absolute;
  top: -7%;
  left: -5%;
  width: 80px;
  height: auto;
  z-index: 1; /* 画像を下に配置 */
}
.interview-content-title-wrapper .interview-text {
  position: relative;
  display: block;
  width: 80%;
  margin-left: 40px;
  font-family: "Zen Kaku Gothic New", sans-serif;
}
.interview-content-title-wrapper .interview-teacher-info {
  display: flex;
  position: relative;
  flex-direction: column;
}
.interview-content-title-wrapper .teacher-role {
  z-index: 2;
  font-size: 14px;
  font-weight: bold;
  line-height: 1.2;
}
.interview-content-title-wrapper .teacher-name {
  z-index: 2;
  font-size: 22px;
  font-weight: bold;
}
.interview-content-title-wrapper .interview-summary {
  z-index: 2;
  margin-top: 20px;
  font-size: 14px;
  width: 95%;
  margin: 0 auto;
}

@media (max-width: 768px) {
  .interview-content-title-wrapper {
    flex-direction: column; /* SP画面で縦並び */
    align-items: center;
    width: 100%;
  }
  .interview-content-title-wrapper .interview-teacher-info {
    display: flex;
    flex-direction: row; /* PC画面で横並び */
  }
  .interview-content-title-wrapper .interview-hukidashi-image {
    margin: 0 0 20px 0;
    width: 85%;
  }
  .interview-content-title-wrapper .image-overlay {
    width: 50%;
    height: 50%;
  }
  .interview-content-title-wrapper .content-title-deco {
    left: 5%;
    width: 70px;
  }
  .interview-content-title-wrapper .interview-text {
    margin-top: 20px;
    margin-left: 0px;
    width: 100%;
  }
  .interview-content-title-wrapper .interview-teacher-info {
    display: flex;
    position: relative;
    flex-direction: column;
    width: 85%;
    margin: 0 auto;
  }
  .interview-content-title-wrapper .teacher-role {
    font-size: 12px;
  }
  .interview-content-title-wrapper .teacher-name {
    font-size: 20px;
    margin-left: 5px;
  }
}
.content-title-deco {
  position: absolute;
  top: 30px;
  left: 0;
  width: 80px;
  height: auto;
  z-index: 1; /* 画像を下に配置 */
}

.content-title {
  z-index: 2; /* テキストを上に配置 */
  left: 40px;
  position: relative;
  font-size: 26px;
  font-weight: bold;
  color: #622e11;
  font-family: "Zen Kaku Gothic New", sans-serif;
  line-height: 1.2;
}

.content-wrapper {
  width: 85%;
  margin: 20px auto;
}

.content-inner {
  margin-bottom: 40px;
}

.content-wrapper .text {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 500;
  font-size: 16px;
}

.content-image {
  width: 80%;
  margin: 10px auto;
  gap: 20px;
  display: flex;
  flex-direction: row; /* PC画面で横並び */
  justify-content: center;
}

.content-image img {
  width: 50%;
  border-radius: 20px;
}

@media (max-width: 768px) {
  .content-wrapper {
    width: 90%;
  }
  .content-title {
    font-size: 20px;
    font-weight: 700;
    left: 10px;
  }
  .content-image {
    flex-direction: column; /* SP画面で縦並び */
    align-items: center;
    width: 100%;
  }
  .content-image img {
    width: 100%;
    border-radius: 20px;
    margin: 0 auto;
  }
}
.lead {
  font-family: "Zen Kaku Gothic New", sans-serif;
  color: #ff7019;
  font-weight: 700;
  font-size: 20px;
  margin-top: 20px;
  margin-bottom: 20px;
}

.subheading {
  border-left: 5px solid #622e11; /* 左に縦のラインを追加 */
  padding-left: 15px; /* ラインとテキストの間にスペースを追加 */
  font-weight: 700;
  font-size: 20px;
  margin-top: 20px;
  margin-bottom: 20px;
}

/* 質問と回答 */
.qna {
  /* .qna p {
    margin-bottom: 20px;
    font-family: 'Zen Kaku Gothic New', sans-serif;
    font-weight: 500;
    font-size: 16px;
  } */
}
.qna h4 {
  font-family: "Zen Kaku Gothic New", sans-serif;
  color: #622e11;
  font-weight: 700;
  margin-top: 20px;
  font-size: 18px;
  margin-bottom: 10px;
}
.qna .a_wrap {
  display: flex;
  flex-direction: row;
}
.qna .a_wrap:has(p + .image-overlay) {
  justify-content: flex-end;
}
.qna .image-overlay {
  position: relative;
  width: 10%;
  height: 10%;
  /* 4px幅の#fcdc62色の枠 */
  border: 4px solid #fcdc62;
  /* 円形にする */
  border-radius: 50%;
  /* 枠の外にはみ出した画像部分は非表示 */
  overflow: hidden;
  display: flex;
  align-items: center; /* 縦方向中央寄せ */
  justify-content: center; /* 横方向中央寄せ */
}
.qna .teacher-image {
  /* アスペクト比を保ったまま、円の中に全体を表示 */
  max-width: 100%;
  max-height: 100%;
  display: block; /* inline要素の余白対策で block 指定するのが無難 */
}
.qna p {
  margin-left: 25px;
  width: 80%;
  margin-bottom: 20px;
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 500;
  font-size: 16px;
  background-color: #fdeaa1; /* 吹き出しの背景色 */
  border-radius: 10px; /* 角を丸くする */
  padding: 10px; /* 内側の余白 */
  position: relative; /* 吹き出しの位置を相対的に設定 */
}

.qna .a_wrap:has(p + .image-overlay) p {
  margin-left: 0;
  margin-right: 25px;
  text-align: right;
}

.content-inner .qna p {
  margin-left: 25px;
  width: 74%;
  margin-bottom: 30px;
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 500;
  font-size: 18px;
  background-color: #fdeaa1;
  border-radius: 10px;
  padding: 20px 30px;
  position: relative;
}

.qna p:before {
  content: "";
  position: absolute;
  top: 30px;
  left: 0;
  border-style: solid;
  border-width: 8px 20px 8px 0;
  border-color: transparent #fdeaa1 transparent transparent;
  translate: -100% -50%;
}

.qna .a_wrap:has(p + .image-overlay) p:before {
  left: initial;
  right: -40px;
  rotate: 180deg;
}
@media (max-width: 768px) {
  .qna .image-overlay {
    width: 30%;
    height: 30%;
  }
  .qna p {
    font-size: 14px;
  }
}

/* 最新記事セクション */
.latest-articles {
  background-color: #fcdc62; /* 薄いオレンジ系 */
  text-align: center;
  width: 100%;
  /* background-image: url('./img/common/bg.png');
  background-size: cover;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat; */
}

.sepalate-img {
  background-color: #fcf7e3;
  width: 100%;
}

.section-title {
  margin: 50px auto 50px;
}

@media (max-width: 768px) {
  .section-title {
    margin: 30px auto 30px;
    width: 70%;
  }
}
/* swiper */
.article-pickup-swiper-carousel {
  width: 100%;
  margin: 0 auto;
  padding-bottom: 20px;
  position: relative;
  overflow: hidden;
  /* Swiperの前ボタンのスタイル */
  /* Swiperの次ボタンのスタイル */
}
.article-pickup-swiper-carousel .swiper-button-prev {
  width: 5%;
  height: 25%;
  background-repeat: no-repeat !important;
  background-image: url(../images/top/left.png) !important;
  background-size: 100%;
  left: 15%;
  top: 40%;
}
.article-pickup-swiper-carousel .swiper-button-prev:after {
  content: "" !important;
}
.article-pickup-swiper-carousel .swiper-button-next {
  width: 5%;
  height: 25%;
  background-repeat: no-repeat !important;
  background-image: url(../images/top/right.png) !important;
  background-size: 100%;
  right: 15%;
  top: 40%;
}
.article-pickup-swiper-carousel .swiper-button-next:after {
  content: "" !important;
}

.article-pickup-swiper {
  width: 60% !important;
  position: relative;
  /* Swiperのスライドの背景色を透明に設定 */
  /* Swiperの画像のスタイル */
}
.article-pickup-swiper .swiper-slide {
  background-color: transparent !important;
  margin-top: 25px !important;
}
.article-pickup-swiper .article-pickup-swiper-link {
  text-decoration: none;
}
.article-pickup-swiper img {
  height: auto !important;
  aspect-ratio: 1/1;
  -o-object-fit: cover;
  object-fit: cover;
  border-radius: 15%;
  border: 5px solid #622e11;
}
.article-pickup-swiper img:hover {
  transform: scale(1.1);
  transition: transform 0.3s ease;
}
.article-pickup-swiper .swiper-slide {
  opacity: 1 !important;
}
.article-pickup-swiper .swiper-slide-active {
  opacity: 1 !important;
}
.article-pickup-swiper .swiper-slide-next {
  opacity: 1 !important;
}

@media (max-width: 768px) {
  .article-pickup-swiper-carousel {
    overflow: visible;
    /* Swiperの前ボタンのスタイル */
    /* Swiperの次ボタンのスタイル */
  }
  .article-pickup-swiper-carousel .swiper-button-prev {
    width: 15%;
    height: 25%;
    left: 15%;
    top: 35%;
  }
  .article-pickup-swiper-carousel .swiper-button-next {
    width: 15%;
    height: 25%;
    right: 15%;
    top: 35%;
  }
  .article-pickup-swiper {
    width: 100% !important;
    /* Swiperのスライドの背景色を透明に設定 */
    /* Swiperの画像のスタイル */
  }
  .article-pickup-swiper .swiper-slide {
    margin-top: 0px !important;
  }
  .article-pickup-swiper img {
    border-radius: 25px;
    border: 2px solid #622e11;
  }
}
.article-pickup-swiper-info {
  display: flex;
  justify-content: space-between;
  padding: 10px 0;
}
.article-pickup-swiper-info span {
  font-weight: 700;
  text-align: left;
  font-size: 14px;
}

/* もっと見るボタン */
.more-button {
  padding-bottom: 30px;
}

.more-button a {
  display: inline-block;
  padding: 10px 20px;
}

.more-button a:hover {
  transform: scale(1.1);
  transition: transform 0.3s ease;
}

.other-category {
  background-color: #fcdc62;
}
.other-category .wrapper {
  border-top: 2px solid #622e11;
  width: 80%;
  margin: 0 auto;
}
.other-category .wrapper .links {
  margin: 40px auto 0;
  padding-bottom: 40px;
  width: 80%;
  display: flex;
  justify-content: space-between;
  gap: 50px;
}
.other-category .wrapper .links a:hover {
  transition: transform 0.3s ease;
  transform: scale(1.1);
}
.other-category .other-category-link {
  width: 100%;
}


@media (max-width: 768px) {
  .other-category .wrapper {
    width: 100%;
  }
  .other-category .wrapper .links {
    margin: 40px auto 0px;
    width: 80%;
    display: block;
  }
  .other-category .wrapper .links .other-category-link {
    margin-bottom: 30px;
    display: block;
  }
}
/* フッター */
.footer {
  background-color: #fdd860;
  padding: 20px;
  margin-top: 40px;
}

.footer-inner {
  max-width: 1000px;
  margin: 0 auto;
  text-align: center;
}

.footer-links {
  margin-bottom: 10px;
}

.footer-links a {
  text-decoration: none;
  margin: 0 10px;
  color: #333;
}

.footer-links a:hover {
  text-decoration: underline;
}

/* 記事一覧セクション */
.article-list-page .main-content {
  padding: 0;
}
.article-list-page .content-wrapper {
  height: 100%;
  margin: 0 auto;
  padding: 80px 60px;
  width: 100%;
}
@media screen and (max-width: 768px) {
  .article-list-page .content-wrapper {
    padding: 20px;
  }
}
.article-list-page .title-section {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: -80px;
}
@media screen and (max-width: 768px) {
  .article-list-page .title-section {
    margin-top: -20px;
    min-height: auto;
  }
}
.article-list-page .title-inner {
  position: relative;
  max-width: 1000px;
  justify-content: center;
  margin: 0;
}
.article-list-page .title-char .char-left,
.article-list-page .title-char .char-right {
  position: absolute;
  width: 20vw;
  height: 20vw;
  top: 50%;
  transform: translateY(-50%);
}
.article-list-page .title-char .char-left {
  left: -20vw;
}
.article-list-page .title-char .char-right {
  right: -20vw;
}
@media screen and (max-width: 768px) {
  .article-list-page .title-char .char-left,
  .article-list-page .title-char .char-right {
    top: 0;
    width: 23vw;
    height: 23vw;
  }
  .article-list-page .title-char .char-left {
    left: 0;
  }
  .article-list-page .title-char .char-right {
    right: 0;
  }
}

.article-list-page .title-info {
  position: relative;
  display: flex;
  align-content: center;
  justify-content: center;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  text-align: center;
  margin: auto;
  background-image: url(../images/top/bg_yellow.png);
  background-size: 28.75vw;
  background-position: center;
  background-repeat: no-repeat;
}
@media screen and (min-width: 769px) {
  .article-list-page .title-info {
    width: 37.5vw;
    height: 32vw;
  }
}
@media screen and (max-width: 768px) {
  .article-list-page .title-info {
    background-size: 53.3333333333vw;
    width: 85.8666666667vw;
    height: 64vw;
    margin-bottom: 8.5333333333vw;
  }
}
.article-list-page .title-info > h2 {
  font-size: 1.875vw;
  font-weight: 900;
  margin-bottom: 0.5vw;
}
@media screen and (max-width: 768px) {
  .article-list-page .title-info > h2 {
    font-size: 4.2666666667vw;
    margin-bottom: 0vw;
  }
}
.article-list-page .title-info > h2 span {
  font-size: 5.9375vw;
  display: inline-block;
}
@media screen and (max-width: 768px) {
  .article-list-page .title-info > h2 span {
    font-size: 13.6vw;
  }
}
.article-list-page .title-info > h2
  span.is-active {
  animation: textFadeUp 0.6s forwards;
}
.article-list-page .title-info > p {
  font-size: 1.40625vw;
  font-weight: 500;
}
@media screen and (max-width: 768px) {
  .article-list-page .title-info > p {
    font-size: 3.7333333333vw;
  }
}
.article-list-page .article-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin: 0;
  padding: 0;
  list-style: none;
  gap: 100px 30px;
}
@media screen and (max-width: 768px) {
  .article-list-page .article-list {
    grid-template-columns: repeat(2, 1fr);
    gap: 60px 30px;
  }
}
.article-list-page .article-item {
  width: 100%;
}
.article-list-page .article-link {
  text-decoration: none;
}
.article-list-page .article-link:hover img {
  transform: scale(1.1);
}
.article-list-page .article-link:hover p {
  opacity: 0.7;
}
.article-list-page .article-image {
  aspect-ratio: 1 / 1;
  border: 4px solid #622E11;
  border-radius: 40px;
  background-color: #D9D9D9;
  overflow: hidden;
}
@media screen and (max-width: 768px) {
  .article-list-page .article-image {
    border-radius: 20px;
  }
}
.article-list-page .article-image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  transition: transform .3s ease;
}
.article-list-page .article-info {
  margin-left: 0.5rem;
  margin-top: 16px;
}
@media screen and (max-width: 768px) {
  .article-list-page .article-info {
    margin-left: 0;
    margin-top: 24px;
  }
}
.article-list-page .article-info span {
  font-weight: 900;
  padding: 3px 10px;
  background-color: #FCDC63;
  color: #622e11;
}
.article-list-page .article-link p {
  margin-top: 16px;
  text-decoration: underline;
  font-weight: 700;
  transition: opacity .3s ease;
  font-size: 1.2vw;
}
@media screen and (max-width: 768px) {
  .article-list-page .article-link p {
    font-size: 3.7333333333vw;
  }
}
.article-list-page .article-pagination {
  margin-top: 80px;
}
.article-list-page .pagination-list {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  list-style: none;
  gap: 34px;
}
.article-list-page .pagination-link {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 70px;
  height: 70px;
  border-radius: 50%;
  border: 2px solid #622E11;
  color: #622E11;
  text-decoration: none;
  font-size: 1.4vw;
  line-height: 1;
  font-weight: 700;
  background-color: #FFF;
  transition: background-color .3s ease, color .3s ease;
}
@media screen and (min-width: 769px) and (max-width: 1024px) {
  .article-list-page .pagination-link {
    font-size: 2vw;
  }
}
@media screen and (max-width: 768px) {
  .article-list-page .pagination-link {
    width: 56px;
    height: 56px;
    font-size: 6vw;
  }
}
.article-list-page .pagination-item.is-current .pagination-link {
  cursor: default;
  background-color: #FCDC63;
  pointer-events: none;
}
.article-list-page .pagination-link:hover {
  background-color: #622E11;
  color: #FFF;
}

.article-list-page .c-move-to-top {
  z-index: 100;
  position: fixed;
  bottom: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 180px;
  height: 180px;
}
@media (max-width: 768px) {
  .article-list-page .c-move-to-top {
    width: 90px;
    height: 90px;
  }
}